Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 06 Nov 2021 07:39:12 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? It's more than a week now and I haven't got my package. There was supposedly a delivery but it did not pushed thru and I even sent him my location by Whatsup.  
Then I even called this number 011 5202662, but unfortunately she left me hanging for a couple of minutes for nothing and by the way I gave her the my order number which is a mandatory right... 
Please try to get a Right delivery company that is Competent to do this kind of job... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3317911